%define anolis_release 1
Name:		libotf
Version:	0.9.16
Release:	%{anolis_release}%{?dist}
Summary:	A Library for handling OpenType Font

Group:		System Environment/Libraries
License:	LGPLv2+
URL:            http://www.nongnu.org/m17n/
Source0:        http://download.savannah.gnu.org/releases/m17n/%{name}-%{version}.tar.gz

BuildRequires:	gcc
BuildRequires:  make
BuildRequires:  freetype-devel
BuildRequires:  libXaw-devel
Provides:       /usr/bin/otfdump

%description 
The library "libotf" provides the following facilites.
Read Open Type Layout Tables from OTF file. Currently these tables are
supported; head, name, cmap, GDEF, GSUB, and GPOS.  Convert a Unicode
character sequence to a glyph code sequence by using the above tables.
The combination of libotf and the FreeType library (Ver.2) realizes
CTL (complex text layout) by OpenType fonts. This library is currently
used by the m17n library. It seems that the probject Free Type Layout
provides the similar (or better) facility as this library, but
currently they have not yet released their library. So, we have
developed this one.

%package doc
Summary: Documents for %{name}
BuildArch: noarch
Requires: %{name} = %{version}-%{release}


%description  doc
Doc pages for %{name}.

%package	devel
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description	devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q

%build
%configure --disable-static
%make_build


%install
%make_install

(cd example && make clean && rm -rf .deps && rm Makefile)
rm -f %{buildroot}%{_bindir}/libotf-config

%files
%license COPYING
%{_libdir}/*.so.*
%{_bindir}/otfdump
%{_bindir}/otflist
%{_bindir}/otftobdf
%{_bindir}/otfview

%files doc
%doc AUTHORS README NEWS

%files devel
%doc example
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*

%changelog
* Fri Jan 6 2023 Funda Wang <fundawang@yeah.net> - 0.9.16-1
- Import package for anolis 23
